Bug 1571424 - connection to bad network let system freeze
Summary: connection to bad network let system freeze
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-24 18:42 UTC by schwarzdrossel
Modified: 2019-05-28 20:07 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:07:07 UTC
Type: Bug


Attachments (Terms of Use)

Description schwarzdrossel 2018-04-24 18:42:39 UTC
Description of problem:
If the Wifi singnal strength is low, Fedora freezes while connecting to a Wifi network.
The same thing happens with a powerline network-adapter: if it fails to connect to other powerline network-adaptors.

Version-Release number of selected component (if applicable):


How reproducible:
Try connecting to a wifi network.

Steps to Reproduce:
1. Go to a place with no wifi
2. approach your accesspoint until your Laptop starts detecting the wifi, while the wifi-signal is still not strong enought to connect.
3. Try to connect

Actual results:
System freeze for ~1min

Expected results:
System does not freeze

Additional info:
Sorry for my bad english.

Comment 1 Thomas Haller 2018-04-25 09:30:23 UTC
this bug report is not specific enough. What exactly means "freeze" here?

What exactly are you doing at "3. try to connect"?

Comment 2 schwarzdrossel 2018-04-25 10:30:06 UTC
"freeze" means fedora does not respond to any keyboard or mouse input

3. means
- go to the top panel
- Click on the Network icon 
- click on the Network icon of the pulldown menu and choose "select network"
- Select your network and click on Connect

Comment 3 Ben Cotton 2019-05-02 21:50:23 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 20:07:07 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.